[obspy-users] ObsPyck error message

Ahu Komec Mutlu komec at boun.edu.tr
Sun Feb 17 00:10:42 CET 2013


Hi,

I appreciate if anybody help me with the following error message on 
ObsPyck.

[komec at komec ObsPyck]$ ./obspyck.py -t 2012-06-06T07:55:00 -d 120 -f 
/media/disk-1/OBSPY/cut_SAC/van_dene/2011-10231041_GADA.BHE.SAC/ 
--nometadata
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:122: 
RuntimeWarning: PyOS_InputHook is not available for interactive use of 
PyGTK
   set_interactive(1)
Traceback (most recent call last):
   File "./obspyck.py", line 27, in <module>
     from matplotlib.backends.backend_qt4agg import 
NavigationToolbar2QTAgg as QNavigationToolbar
   File 
"/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4agg.py", 
line 12, in <module>
     from backend_qt4 import QtCore, QtGui, FigureManagerQT, 
FigureCanvasQT,\
   File 
"/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_qt4.py", 
line 19, in <module>
     import matplotlib.backends.qt4_editor.figureoptions as 
figureoptions
   File 
"/usr/lib64/python2.7/site-packages/matplotlib/backends/qt4_editor/figureoptions.py", 
line 11, in <module>
     import matplotlib.backends.qt4_editor.formlayout as formlayout
   File 
"/usr/lib64/python2.7/site-packages/matplotlib/backends/qt4_editor/formlayout.py", 
line 49, in <module>
     from matplotlib.backends.qt4_compat import QtGui,QtCore
   File 
"/usr/lib64/python2.7/site-packages/matplotlib/backends/qt4_compat.py", 
line 28, in <module>
     QT_API = rcParams['backend.qt4']
   File "/usr/lib64/python2.7/site-packages/matplotlib/__init__.py", 
line 663, in __getitem__
     return dict.__getitem__(self, key)
KeyError: 'backend.qt4'

Thanks & regards

-- 
-------------------------

AHU KOMEC MUTLU
Bogazici University Kandilli Observatory & E.R.I.
Cengelkoy / ISTANBUL

Phone: +(90) 216 516 32 16

-------------------------




More information about the obspy-users mailing list